Subject: [PATCH 2/2] clkdev: Implement managed clk_get()

From: [email-masked] (Stephen Boyd)
Date: Mon, 02 Apr 2012 10:04:03 -0700

On 04/02/12 09:52, Russell King - ARM Linux wrote:
> On Mon, Apr 02, 2012 at 09:48:31AM -0700, Stephen Boyd wrote:
>> I hope we get a better clk_get() implementation with the unified struct
>> clk. Don't get me wrong, clkdev is a great improvement over open coding
>> clock framework stuff in each platform. But clkdev is really just
>> another platform specific implementation
> Utter crap.  It is not platform specific.

It has compile-time platform hooks so it isn't entirely generic.

>
>> that most platforms decide to
>> use. Each platform has to select the option and it breaks if two
>> platforms implement __clk_get()/__clk_put() in conflicting ways.
> They should go away with the common clock stuff: they are there to deal
> with the implementation specific parts of struct clk, and as the common
> clock stuff sorts that out, these should be provided by the common clk.

Agreed. They should all be deleted and only one should exist.

>
> So any platform using the common clock will be compatible with any other
> platform using the common clock.
>
> If you somehow think that clkdev comes into that compatibility, you're
> wrong.  It doesn't.

I don't.

>
> And if you think that a private clk implementation could have a unified
> clk_get(), you're also barking mad.

I don't understand this. Maybe I'm barking mad already.

-- 
Sent by an employee of the Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum.